#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: rgl 0.5.3 ruby lib

Gem::Specification.new do |s|
  s.name = "rgl".freeze
  s.version = "0.5.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Horst Duchene".freeze, "Kirill Lashuk".freeze]
  s.autorequire = "rgl/base".freeze
  s.date = "2017-04-22"
  s.description = "RGL is a framework for graph data structures and algorithms".freeze
  s.email = "monora@gmail.com".freeze
  s.extra_rdoc_files = ["README.md".freeze]
  s.files = ["ChangeLog".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "examples/canvas.rb".freeze, "examples/examples.rb".freeze, "examples/insel_der_tausend_gefahren.rb".freeze, "examples/north.rb".freeze, "examples/north/Graph.log".freeze, "examples/north/g.10.0.graphml".freeze, "examples/north/g.10.1.graphml".freeze, "examples/north/g.10.11.graphml".freeze, "examples/north/g.10.12.graphml".freeze, "examples/north/g.10.13.graphml".freeze, "examples/north/g.10.14.graphml".freeze, "examples/north/g.10.15.graphml".freeze, "examples/north/g.10.16.graphml".freeze, "examples/north/g.10.17.graphml".freeze, "examples/north/g.10.19.graphml".freeze, "examples/north/g.10.2.graphml".freeze, "examples/north/g.10.20.graphml".freeze, "examples/north/g.10.22.graphml".freeze, "examples/north/g.10.24.graphml".freeze, "examples/north/g.10.25.graphml".freeze, "examples/north/g.10.27.graphml".freeze, "examples/north/g.10.28.graphml".freeze, "examples/north/g.10.29.graphml".freeze, "examples/north/g.10.3.graphml".freeze, "examples/north/g.10.30.graphml".freeze, "examples/north/g.10.31.graphml".freeze, "examples/north/g.10.34.graphml".freeze, "examples/north/g.10.37.graphml".freeze, "examples/north/g.10.38.graphml".freeze, "examples/north/g.10.39.graphml".freeze, "examples/north/g.10.4.graphml".freeze, "examples/north/g.10.40.graphml".freeze, "examples/north/g.10.41.graphml".freeze, "examples/north/g.10.42.graphml".freeze, "examples/north/g.10.45.graphml".freeze, "examples/north/g.10.46.graphml".freeze, "examples/north/g.10.5.graphml".freeze, "examples/north/g.10.50.graphml".freeze, "examples/north/g.10.56.graphml".freeze, "examples/north/g.10.57.graphml".freeze, "examples/north/g.10.58.graphml".freeze, "examples/north/g.10.6.graphml".freeze, "examples/north/g.10.60.graphml".freeze, "examples/north/g.10.61.graphml".freeze, "examples/north/g.10.62.graphml".freeze, "examples/north/g.10.68.graphml".freeze, "examples/north/g.10.69.graphml".freeze, "examples/north/g.10.7.graphml".freeze, "examples/north/g.10.70.graphml".freeze, "examples/north/g.10.71.graphml".freeze, "examples/north/g.10.72.graphml".freeze, "examples/north/g.10.74.graphml".freeze, "examples/north/g.10.75.graphml".freeze, "examples/north/g.10.78.graphml".freeze, "examples/north/g.10.79.graphml".freeze, "examples/north/g.10.8.graphml".freeze, "examples/north/g.10.80.graphml".freeze, "examples/north/g.10.82.graphml".freeze, "examples/north/g.10.83.graphml".freeze, "examples/north/g.10.85.graphml".freeze, "examples/north/g.10.86.graphml".freeze, "examples/north/g.10.88.graphml".freeze, "examples/north/g.10.89.graphml".freeze, "examples/north/g.10.9.graphml".freeze, "examples/north/g.10.90.graphml".freeze, "examples/north/g.10.91.graphml".freeze, "examples/north/g.10.92.graphml".freeze, "examples/north/g.10.93.graphml".freeze, "examples/north/g.10.94.graphml".freeze, "examples/north/g.12.8.graphml".freeze, "examples/north/g.14.9.graphml".freeze, "examples/north2.rb".freeze, "examples/rdep-rgl.rb".freeze, "lib/rgl/adjacency.rb".freeze, "lib/rgl/base.rb".freeze, "lib/rgl/bellman_ford.rb".freeze, "lib/rgl/bidirectional.rb".freeze, "lib/rgl/bipartite.rb".freeze, "lib/rgl/condensation.rb".freeze, "lib/rgl/connected_components.rb".freeze, "lib/rgl/dijkstra.rb".freeze, "lib/rgl/dijkstra_visitor.rb".freeze, "lib/rgl/dot.rb".freeze, "lib/rgl/edge_properties_map.rb".freeze, "lib/rgl/edmonds_karp.rb".freeze, "lib/rgl/graph_iterator.rb".freeze, "lib/rgl/graph_visitor.rb".freeze, "lib/rgl/graph_wrapper.rb".freeze, "lib/rgl/graphxml.rb".freeze, "lib/rgl/implicit.rb".freeze, "lib/rgl/mutable.rb".freeze, "lib/rgl/path_builder.rb".freeze, "lib/rgl/prim.rb".freeze, "lib/rgl/rdot.rb".freeze, "lib/rgl/topsort.rb".freeze, "lib/rgl/transitiv_closure.rb".freeze, "lib/rgl/transitivity.rb".freeze, "lib/rgl/traversal.rb".freeze, "rakelib/dep_graph.rake".freeze, "test/bellman_ford_test.rb".freeze, "test/bipartite_test.rb".freeze, "test/components_test.rb".freeze, "test/cycles_test.rb".freeze, "test/dijkstra_issue24_test.rb".freeze, "test/dijkstra_test.rb".freeze, "test/directed_graph_test.rb".freeze, "test/dot_test.rb".freeze, "test/edge_properties_map_test.rb".freeze, "test/edge_test.rb".freeze, "test/edmonds_karp_test.rb".freeze, "test/graph_test.rb".freeze, "test/graph_xml_test.rb".freeze, "test/implicit_test.rb".freeze, "test/prim_test.rb".freeze, "test/rdot_test.rb".freeze, "test/test_helper.rb".freeze, "test/transitivity_test.rb".freeze, "test/traversal_test.rb".freeze, "test/undirected_graph_test.rb".freeze]
  s.homepage = "https://github.com/monora/rgl".freeze
  s.rdoc_options = ["--title".freeze, "RGL - Ruby Graph Library".freeze, "--main".freeze, "README.md".freeze, "--line-numbers".freeze]
  s.rubygems_version = "2.7.6".freeze
  s.summary = "Ruby Graph Library".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<lazy_priority_queue>.freeze, ["~> 0.1.0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<stream>.freeze, ["~> 0.5.0"])
      s.add_development_dependency(%q<test-unit>.freeze, [">= 0"])
      s.add_development_dependency(%q<yard>.freeze, [">= 0"])
    else
      s.add_dependency(%q<lazy_priority_queue>.freeze, ["~> 0.1.0"])
      s.add_dependency(%q<rake>.freeze, [">= 0"])
      s.add_dependency(%q<stream>.freeze, ["~> 0.5.0"])
      s.add_dependency(%q<test-unit>.freeze, [">= 0"])
      s.add_dependency(%q<yard>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<lazy_priority_queue>.freeze, ["~> 0.1.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<stream>.freeze, ["~> 0.5.0"])
    s.add_dependency(%q<test-unit>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
  end
end
